Subject: bug#19938: possibly sort bug

From: Tomáš Kyselica <[email-masked]>
Date: Tue, 24 Feb 2015 10:58:32 +0100

ok, finally i found out:
cat all_nouns.txt | cut -f1,3 | sort -t$'\t' -k2,2 -k1,1 works...
problem was in specifying tabulator as delimiter

On Tue, Feb 24, 2015 at 9:32 AM, Tomáš Kyselica <[email-masked]>
wrote:

> sorry,
>
> also --stable was used for sort.
>
> On Tue, Feb 24, 2015 at 9:30 AM, Tomáš Kyselica <[email-masked]>
> wrote:
>
>> Dear Sir/Madam,
>>
>>   I have issuing this command:
>>
>> cat all_nouns.txt | cut -f1,3 | sort -t\t -k2,1
>>
>> I expected that second column will be sorted A1,A2,B1,B2,C1,C2, but it is
>> only almost true; at the end of file, I see:
>> C2
>> ... [many C2]
>> C2
>> B1
>> B1
>> B2
>> B2
>> A2
>> C1
>> A2
>> which is not sorted.
>> Attaching the file.
>>
>> Regards
>> Tomas Kyselica
>>
>
>